package com.maintain.business.service;

import com.maintain.business.domain.ErpMaterialPutawayInfo;
import com.maintain.business.domain.vo.ErpMaterialPutawayInfoVo;
import com.maintain.business.domain.bo.ErpMaterialPutawayInfoBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 物料入库明细Service接口
 *
 * @author liushuai
 * @date 2025-04-03
 */
public interface IErpMaterialPutawayInfoService {

    /**
     * 查询物料入库明细
     */
    ErpMaterialPutawayInfoVo queryById(Long id);

    /**
     * 查询物料入库明细列表
     */
    TableDataInfo<ErpMaterialPutawayInfoVo> queryPageList(ErpMaterialPutawayInfoBo bo, PageQuery pageQuery);

    /**
     * 查询物料入库明细列表
     */
    List<ErpMaterialPutawayInfoVo> queryList(ErpMaterialPutawayInfoBo bo);

    /**
     * 新增物料入库明细
     */
    Boolean insertByBo(ErpMaterialPutawayInfoBo bo);

    /**
     * 修改物料入库明细
     */
    Boolean updateByBo(ErpMaterialPutawayInfoBo bo);

    /**
     * 校验并批量删除物料入库明细信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
